/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Apr 19, 2009
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.Cocoa.NSString;

import tango.stdc.stringz;

import dstep.Cocoa.NSObject;
import dstep.objc.bridge.Bridge;
import dstep.objc.bridge.Wrapper;
import dstep.internal.String;
import dstep.objc.objc;

import mambo.io;

class NSString : NSObject
{
	mixin ObjcWrap;
	
	string UTF8String ()
	{
		char* s = invokeObjcSelf!(char*, "UTF8String");
		return fromStringz(s);
	}
	
	int add (int x, int y)
	{
		println("NSString");
		return 0;
	}
	
	mixin ObjcBindMethod!(add);
}